<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/PPEManager/Materials/MatClasses/PPEUnderWater.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d2b/_p_p_e_under_water_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PPEUnderWater.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/d2b/_p_p_e_under_water_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html">    2</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d50/class_p_p_e_under_water.html">PPEUnderWater</a>: <a class="code hl_class" href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#a794b7487283d0aa0d5ae28912d1d0576">    4</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a794b7487283d0aa0d5ae28912d1d0576">PARAM_RSINTENSITY</a> = 0;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#a939bc7f64918d09bcd8fe56364db2e1b">    5</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a939bc7f64918d09bcd8fe56364db2e1b">PARAM_RSPLANEDIST</a> = 1;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#a21d9785cab9c460a5275b9cf3aa960b7">    6</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a21d9785cab9c460a5275b9cf3aa960b7">PARAM_RSDEPTHDECREASE</a> = 2;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#a5bf238fe3586027a356dc7ebb9d95d59">    7</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a5bf238fe3586027a356dc7ebb9d95d59">PARAM_RSUVSCALE</a> = 3;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#a33434f93438bcb6ec7f3a59f7225e493">    8</a></span>    <span class="keyword">static</span> <span class="keyword">const</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a33434f93438bcb6ec7f3a59f7225e493">PARAM_WATERPLANELUM</a> = 4;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    </div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#a75bf2feb3ad10cec2adea8d56a8d6085">   10</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/d50/class_p_p_e_under_water.html#a75bf2feb3ad10cec2adea8d56a8d6085">GetPostProcessEffectID</a>()</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    {</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        <span class="keywordflow">return</span> <a class="code hl_enumeration" href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a>.UnderWater;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    }</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#a93fd6e525d91d89b93afe1dc2eece307">   15</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../da/d50/class_p_p_e_under_water.html#a93fd6e525d91d89b93afe1dc2eece307">GetDefaultMaterialPath</a>()</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Graphics/Materials/postprocess/uw&quot;</span>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    }</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../da/d50/class_p_p_e_under_water.html#acb139d84ee8a9577d34704a1d39416f0">   20</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d50/class_p_p_e_under_water.html#acb139d84ee8a9577d34704a1d39416f0">RegisterMaterialParameters</a>()</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    {</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a794b7487283d0aa0d5ae28912d1d0576">PARAM_RSINTENSITY</a>,<span class="stringliteral">&quot;RayShaftsIntensity&quot;</span>,0.0,-0.2,0.2);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a939bc7f64918d09bcd8fe56364db2e1b">PARAM_RSPLANEDIST</a>,<span class="stringliteral">&quot;RayShaftsPlaneDistance&quot;</span>,1.0,0.1,4.0);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a21d9785cab9c460a5275b9cf3aa960b7">PARAM_RSDEPTHDECREASE</a>,<span class="stringliteral">&quot;RayShaftsDepthDecrease&quot;</span>,2.5,1.0,100.0);</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a5bf238fe3586027a356dc7ebb9d95d59">PARAM_RSUVSCALE</a>,<span class="stringliteral">&quot;RayShaftsUVScale&quot;</span>,2.0,0.1,10.0);</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_function" href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">RegisterParameterScalarFloat</a>(<a class="code hl_variable" href="../../da/d50/class_p_p_e_under_water.html#a33434f93438bcb6ec7f3a59f7225e493">PARAM_WATERPLANELUM</a>,<span class="stringliteral">&quot;WaterPlaneLuminance&quot;</span>,0.05,0.001,0.5);</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    }</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>};</div>
<div class="ttc" id="aclass_p_p_e_class_base_html"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html">PPEClassBase</a></div><div class="ttdoc">Created once, on manager init. Script-side representation of C++ material class, separate handling.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00002">PPEMatClassesBase.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_class_base_html_afdb1572dadef790be5856fb27fbbbf02"><div class="ttname"><a href="../../d3/ddf/class_p_p_e_class_base.html#afdb1572dadef790be5856fb27fbbbf02">PPEClassBase::RegisterParameterScalarFloat</a></div><div class="ttdeci">protected void RegisterParameterScalarFloat(int idx, string parameter_name, float default_value, float min, float max)</div><div class="ttdoc">WARNING - min/max values are usually taken from Workbench defaults, may not be actual min/max values ...</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dba/_p_p_e_mat_classes_base_8c_source.html#l00077">PPEMatClassesBase.c:77</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html">PPEUnderWater</a></div><div class="ttdoc">UnderWater - PostProcessEffectType.UnderWater.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00002">PPEUnderWater.c:3</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_a21d9785cab9c460a5275b9cf3aa960b7"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#a21d9785cab9c460a5275b9cf3aa960b7">PPEUnderWater::PARAM_RSDEPTHDECREASE</a></div><div class="ttdeci">static const int PARAM_RSDEPTHDECREASE</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00006">PPEUnderWater.c:6</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_a33434f93438bcb6ec7f3a59f7225e493"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#a33434f93438bcb6ec7f3a59f7225e493">PPEUnderWater::PARAM_WATERPLANELUM</a></div><div class="ttdeci">static const int PARAM_WATERPLANELUM</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00008">PPEUnderWater.c:8</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_a5bf238fe3586027a356dc7ebb9d95d59"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#a5bf238fe3586027a356dc7ebb9d95d59">PPEUnderWater::PARAM_RSUVSCALE</a></div><div class="ttdeci">static const int PARAM_RSUVSCALE</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00007">PPEUnderWater.c:7</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_a75bf2feb3ad10cec2adea8d56a8d6085"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#a75bf2feb3ad10cec2adea8d56a8d6085">PPEUnderWater::GetPostProcessEffectID</a></div><div class="ttdeci">override int GetPostProcessEffectID()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00010">PPEUnderWater.c:10</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_a794b7487283d0aa0d5ae28912d1d0576"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#a794b7487283d0aa0d5ae28912d1d0576">PPEUnderWater::PARAM_RSINTENSITY</a></div><div class="ttdeci">static const int PARAM_RSINTENSITY</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00004">PPEUnderWater.c:4</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_a939bc7f64918d09bcd8fe56364db2e1b"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#a939bc7f64918d09bcd8fe56364db2e1b">PPEUnderWater::PARAM_RSPLANEDIST</a></div><div class="ttdeci">static const int PARAM_RSPLANEDIST</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00005">PPEUnderWater.c:5</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_a93fd6e525d91d89b93afe1dc2eece307"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#a93fd6e525d91d89b93afe1dc2eece307">PPEUnderWater::GetDefaultMaterialPath</a></div><div class="ttdeci">override string GetDefaultMaterialPath()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00015">PPEUnderWater.c:15</a></div></div>
<div class="ttc" id="aclass_p_p_e_under_water_html_acb139d84ee8a9577d34704a1d39416f0"><div class="ttname"><a href="../../da/d50/class_p_p_e_under_water.html#acb139d84ee8a9577d34704a1d39416f0">PPEUnderWater::RegisterMaterialParameters</a></div><div class="ttdeci">override void RegisterMaterialParameters()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d2b/_p_p_e_under_water_8c_source.html#l00020">PPEUnderWater.c:20</a></div></div>
<div class="ttc" id="agroup___camera_html_gac5442d940bdd247b908f1f02efd643ec"><div class="ttname"><a href="../../dd/dd2/group___camera.html#gac5442d940bdd247b908f1f02efd643ec">PostProcessEffectType</a></div><div class="ttdeci">PostProcessEffectType</div><div class="ttdoc">Post-process effect type.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d09/_en_world_8c_source.html#l00071">EnWorld.c:72</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_6c0cee39f72e4a24103cd1ca1fbae1cc.html">PPEManager</a></li><li class="navelem"><a class="el" href="../../dir_8bc3653e9bcdee59a0a321a7f331d675.html">Materials</a></li><li class="navelem"><a class="el" href="../../dir_228b1874a3aee11e6530a88a8cb14f93.html">MatClasses</a></li><li class="navelem"><a class="el" href="../../d4/d2b/_p_p_e_under_water_8c.html">PPEUnderWater.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
